package ${packageName};

import android.app.Application;

import com.google.android.gms.analytics.GoogleAnalytics;
import com.google.android.gms.analytics.Tracker;

/**
 * Created by TungDX on 5/29/2015.
 */
public class ${classApplication} extends Application {
    private static GoogleAnalytics analytics;
    private static Tracker tracker;

    @Override
    public void onCreate() {
        analytics = GoogleAnalytics.getInstance(this);
        tracker = analytics.newTracker("${googleAnalyticID}");
    }

    public static GoogleAnalytics getGoogleAnalytics() {
        return analytics;
    }

    public static Tracker getTracker() {
        return tracker;
    }
}
